// JavaScript Document for busybella	
jQuery(function($) {

	// Use strict 
	"use strict";
	$(document).ready(function (){

		// Tooltip
		$('[data-toggle="tooltip"]').tooltip({trigger: 'hover'});
		
		// Sticky menu
		function headerSticky(){
			var windowWidth=$(window).width();
			var windowPos=$(window).scrollTop();
			if(windowPos>320 && windowWidth>1024){
				$('#dtr-header-sticky').fadeIn(300);
			} else {
			$('#dtr-header-sticky').slideUp(300);
			}
		}
		headerSticky();
		$(window).scroll(headerSticky);
		$(window).resize(headerSticky);
		
		// Custom menu widget - accordion style
		function dtrCustomAccordionMenu(){
        	$('.widget_nav_menu .current-menu-ancestor').addClass('active').children('ul').show();
            $('.widget_nav_menu').each( function() {
                var $hasChildren = $( this ).find('.menu-item-has-children');
                $hasChildren.each( function() {
                    $( this ).addClass('parent');
                    var $links = $( this ).children('a');
                    $links.on('click', function( event ) {
                        var $linkParent = $( this ).parent('li');
                        var $allParents = $linkParent.parents('li');
                        if ( ! $linkParent.hasClass('active') ) {
                            $hasChildren.not( $allParents ).removeClass('active').children('.sub-menu').slideUp('fast');
                            $linkParent.addClass('active').children('.sub-menu').stop( true, true ).slideDown('fast');
                        } else {
                            $linkParent.removeClass('active').children('.sub-menu').stop( true, true ).slideUp('fast');
                        }
                        return false;
                    } );
                } );
            } );
        }
		dtrCustomAccordionMenu();
		
		// Custom Selects
		$(".wpcf7-select, .widget_archive select, .widget_categories select, .woocommerce-ordering .orderby, #calc_shipping_country, #dropdown_product_cat, .dropdown_layered_nav_size, .dropdown_product_cat").select2({
    		minimumResultsForSearch: -1,
			dropdownAutoWidth: false,
		});
	
		// Masonry - post grid
		var $container_blogposts_masonry = $('.dtr-blog-grid.dtr-blog-grid-masonry .dtr-post-grid');
		$container_blogposts_masonry.imagesLoaded(function () {
			$container_blogposts_masonry.isotope({
				itemSelector: '.dtr-blog-grid.dtr-blog-grid-masonry .dtr-post-item',
				// layoutMode : 'fitRows',
				masonry: {columnWidth: '.dtr-blog-grid.dtr-blog-grid-masonry .dtr-post-item'  }
			});
		});
		
		// Default Post grid
		var $container_blogposts = $('.dtr-blog-grid.dtr-blog-grid-fitrows .dtr-post-grid');
		$container_blogposts.imagesLoaded(function () {
			$container_blogposts.isotope({
				itemSelector: '.dtr-blog-grid.dtr-blog-grid-fitrows .dtr-post-item',
				layoutMode : 'fitRows',
				//masonry: {columnWidth: '.dtr-blog-grid.dtr-post-grid-fitrows .dtr-post-item'  }
			});
		});
		
		// Masonry - search grid
		var $container_search = $('.dtr-search-grid');
		$container_search.imagesLoaded(function () {
			$container_search.isotope({
				itemSelector: '.dtr-search-grid .dtr-search-item',
				// layoutMode : 'fitRows',
				masonry: {columnWidth: '.dtr-search-grid .dtr-search-item'  }
			});
		});
		
		// Masonry - relatedposts grid
		var $container_relatedposts = $('.dtr-relatedposts-grid-wrapper .dtr-relatedposts-grid');
		$container_relatedposts.imagesLoaded(function () {
			$container_relatedposts.isotope({
				itemSelector: '.dtr-relatedposts-grid-wrapper .dtr-relatedposts-item',
				layoutMode : 'fitRows',
				// masonry: {columnWidth: '.dtr-relatedposts-grid-wrapper .dtr-relatedposts-item'  }
			});
		});
		
		// recentpost carousel
		$('.owl-carousel.dtr-recentpost-carousel').owlCarousel({
			loop: true,
			items:3,
			nav:  true,
			dots: false,
			autoplay: true,
			autoplayTimeout: 6000,
			autoplaySpeed: 400,
			margin: 30,
			navText : ["",""],
			responsive:{
			0:{
			items:1,
			},
			959:{
			items:3,
			},
			1000:{
			items:3,
			}
			}
		});
		
		// testimonial carousel
		$('.owl-carousel.dtr-testimonial').owlCarousel({
			center: true,
			items: 1,
			loop: true,
			nav: false,
			dots: true,
			autoplay: true,
			autoplayTimeout: 6000,
			autoplaySpeed: 400,
			margin: 0,
			navText : ["",""],
		});

		// gallery post format
		$('.owl-carousel.dtr-gallery-posts-slider').owlCarousel({
			center: true,
			items: 1,
			loop: true,
			nav: true,
			dots:  false,
			autoplay: true,
			autoplayTimeout: 5000,
			autoplaySpeed: 400,
			margin: 0,
			navText : ["",""],
		});
		
		// Fitvids
		$(".dtr-video-wrapper").fitVids();
	
		// Sroll to top	
		var offset = 320;
		var duration = 400;
		$(window).scroll(function() {
		if ($(this).scrollTop() > offset) {
		$('#take-to-top').fadeIn(duration);
		} else {
		$('#take-to-top').fadeOut(duration);
		}
		});
		$('#take-to-top').on('click', function(event) {
		event.preventDefault();
		$('html, body').animate({scrollTop: 0}, duration);
		return false;
		});
		
		// promobox hover animation
		if( $(".dtr-promobox-caption-text-on-hover").length ) {
			var promoboxHover = $(".dtr-promobox-caption-text-on-hover");
			promoboxHover.each(function() {
				$(this).data( "height", $(this).outerHeight()).height(0);
			});
			$(".dtr-promobox-caption-js-hover").hover(function() {
				var animateElement = $(this).find(promoboxHover);
				animateElement.animate({
					"height" : animateElement.data("height") + "px"
				}, {
					queue: false,
					duration: 300,
					specialEasing: {
						height: "easeInOutSine"
					}
				});
				animateElement.animate({
					"opacity" : "1"
				}, 600, "easeInOutSine");
			}, function() {
				var animateElement = $(this).find(promoboxHover);
				animateElement.animate({
					"height" : "0"
				}, {
					queue: false,
					duration: 300,
					specialEasing: {
						height: "easeInOutSine"
					}
				});
				animateElement.animate({
					"opacity" : "0"
				}, 100, "easeInOutSine");
			});
    	}
		
		// menudropdown auto align      
		var wapoMainWindowWidth = $(window).width();
		$('.sf-menu ul li').mouseover(function(){
			// checks if third level menu exist         
			var subMenuExist = $(this).find('.sub-menu').length;            
			if( subMenuExist > 0){
				var subMenuWidth = $(this).find('.sub-menu').width();
				var subMenuOffset = $(this).find('.sub-menu').parent().offset().left + subMenuWidth;
		
				// if sub menu is off screen, give new position
				if((subMenuOffset + subMenuWidth) > wapoMainWindowWidth){                  
					var newSubMenuPosition = subMenuWidth;
					$(this).find('.sub-menu').css({
						left: -newSubMenuPosition,
						top: '0',
					});
				}
			}
		 }); // menu ends

	}); // Close document ready 
}); 