<?php
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once ( get_template_directory() . '/includes/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'busybella_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 */
function busybella_theme_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(

		// busybella Core Plugin 
		array(
			'name'     				=> esc_html__( 'Busybella Core', 'busybella' ), // The plugin name 
			'slug'     				=> 'dtr-busybella-core', // The plugin slug (typically the folder name)
			'source'   				=> get_template_directory() . '/includes/plugins/dtr-busybella-core.zip', // The plugin source
			'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
			'version' 				=> '1.0.1', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
		),
		
		// Busybella Elementor Addons
		array(
			'name'     				=> esc_html__( 'Busybella Elementor Addons', 'busybella' ), // The plugin name 
			'slug'     				=> 'dtr-busybella-elementor-addon', // The plugin slug (typically the folder name)
			'source'   				=> get_template_directory() . '/includes/plugins/dtr-busybella-elementor-addon.zip', // The plugin source
			'required' 				=> true, // If false, the plugin is only 'recommended' instead of required
			'version' 				=> '1.0.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
			'force_activation' 		=> false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
			'force_deactivation' 	=> false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
			'external_url' 			=> '', // If set, overrides default API URL and points to an external URL
		),
		
		// Elementor
		array(
			'name'      => esc_html__( 'Elementor', 'busybella' ), // The plugin name
			'slug'      => 'elementor',
			'required'  => true,
        ),
	
		// Kirki
		array(
			'name'      => esc_html__( 'Kirki Toolkit', 'busybella' ), // The plugin name
			'slug'      => 'kirki',
			'required'  => true,
        ),
		
		// Contact Form 7
		array(
			'name'      => esc_html__( 'Contact Form 7', 'busybella' ), // The plugin name
			'slug'      => 'contact-form-7',
			'required'  => false,
        ),
		
		// Breadcrumb NavXT
		array(
			'name'      => esc_html__( 'Breadcrumb NavXT', 'busybella' ), // The plugin name
			'slug'      => 'breadcrumb-navxt',
			'required'  => false,
        ),
		
		// Mailchimp
		array(
			'name'      => esc_html__( 'MailChimp for WordPress', 'busybella' ), // The plugin name
			'slug'      => 'mailchimp-for-wp',
			'required'  => false,
        ),
		
		// Mailchimp
		array(
			'name'      => esc_html__( 'Woocommerce', 'busybella' ), // The plugin name
			'slug'      => 'woocommerce',
			'required'  => false,
        ),
		
	);
	
	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'parent_slug'  => 'themes.php',            // Parent menu slug.
		'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);
	tgmpa( $plugins, $config );
}

// Demo Import Plugin Recommend
if ( true == get_theme_mod( 'busybella_demo_import_notification_enable', true ) ) { 
add_action( 'tgmpa_register', 'busybella_demo_import_plugins' );
	/**
 	 * Register the required plugins for this theme.
	 */
	function busybella_demo_import_plugins() {
		
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(
				// One Click Demo Import
			array(
				'name'      => esc_html__( 'One Click Demo Import', 'busybella' ), // The plugin name 
				'slug'      => 'one-click-demo-import',
				'required'  => false,
			), 
		);
	
	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
     * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
		$config = array(
			'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => '',
			'menu'         => 'tgmpa-install-plugins', // Menu slug.
			'parent_slug'  => 'themes.php',            // Parent menu slug.
			'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                   // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.
		);
	
		tgmpa( $plugins, $config );
	}
}