<?php 
/**
 * Custom styles through options panel
 */
if ( ! function_exists( 'busybella_custom_inline_styles' ) ) :
	function busybella_custom_inline_styles() {
		wp_enqueue_style( 'busybella-inline-style', get_template_directory_uri() . '/assets/css/custom_script.css' );
		
		//variables
		$busybella_custom_css_output = $busybella_header_r1_styles = $busybella_header_r1_top_padding = $busybella_header_r1_bottom_padding  = $busybella_header_left_margin = $busybella_header_right_margin = $busybella_logo_top_margin = $busybella_nav_top_margin = $busybella_page_title_style = $busybella_page_title_styles = $busybella_sticky_header_styles = $busybella_sticky_header_top_padding = $busybella_sticky_header_bottom_padding = $busybella_sticky_logo_top_margin = $busybella_sticky_nav_top_margin = $busybella_footer_styles = $busybella_footer_top_padding = $busybella_footer_bottom_padding = $busybella_copyright_styles = $busybella_copyright_top_padding = $busybella_copyright_bottom_padding = $busybella_copyright_top_margin =  $busybella_blog_header_panel_styles = $busybella_blog_header_panel_top_padding = $busybella_blog_header_panel_bottom_padding = $busybella_footerfull_margin = $busybella_fp_slider_height = $busybella_themebase_color = $busybella_header_r1_border_bottom_width = $busybella_header_r2_top_padding = $busybella_header_r2_bottom_padding = $busybella_header_r2_border_bottom_width = $busybella_page_title_border_top_width = $busybella_page_title_border_bottom_width = $busybella_footer_border_top_width = $busybella_copyright_border_top_width = $busybella_header_r2_left_margin = $busybella_header_search_margin = $busybella_menubar_top_padding = $busybella_menubar_bottom_padding = $busybella_menubar_border_bottom_width = $busybella_menubar_general_styles = $busybella_header_r2_styles = $busybella_page_title_top_padding = $busybella_page_title_bottom_padding = $busybella_woocommerce_shop_columns = $busybella_woocommerce_related_products_column = ''; 

		// woo shop columns
		if( get_theme_mod( 'busybella_woocommerce_shop_columns' ) == '4' ) {
			$busybella_woocommerce_shop_columns .= '.woocommerce-page.post-type-archive-product ul.products li.product, .woocommerce-page.archive.tax-product_cat ul.products li.product, .woocommerce-page.archive.tax-product_tag ul.products li.product { width:22.15%; }'; 
		} elseif( get_theme_mod( 'busybella_woocommerce_shop_columns' ) == '2' ) {
			$busybella_woocommerce_shop_columns .= '.woocommerce-page.post-type-archive-product ul.products li.product, .woocommerce-page.archive.tax-product_cat ul.products li.product, .woocommerce-page.archive.tax-product_tag ul.products li.product { width:48.1%; }'; 
		} else {
			$busybella_woocommerce_shop_columns .= '.woocommerce-page.post-type-archive-product ul.products li.product, .woocommerce-page.archive.tax-product_cat ul.products li.product, .woocommerce-page.archive.tax-product_tag ul.products li.product { width:30.8%; }'; 
		}
	
		// woo related product columns
		if( get_theme_mod( 'busybella_woocommerce_related_products_column' ) == '4' ) {
			$busybella_woocommerce_related_products_column .= '.woocommerce .related ul li.product, .woocommerce .related ul.products li.product, .woocommerce .upsells.products ul li.product, .woocommerce .upsells.products ul.products li.product, .woocommerce-page .related ul li.product, .woocommerce-page .related ul.products li.product, .woocommerce-page .upsells.products ul li.product, .woocommerce-page .upsells.products ul.products li.product { width:22.15%; }'; 
		} elseif( get_theme_mod( 'busybella_woocommerce_related_products_column' ) == '2' ) {
			$busybella_woocommerce_related_products_column .= '.woocommerce .related ul li.product, .woocommerce .related ul.products li.product, .woocommerce .upsells.products ul li.product, .woocommerce .upsells.products ul.products li.product, .woocommerce-page .related ul li.product, .woocommerce-page .related ul.products li.product, .woocommerce-page .upsells.products ul li.product, .woocommerce-page .upsells.products ul.products li.product { width:48.1%; }'; 
		} else {
			$busybella_woocommerce_related_products_column .= '.woocommerce .related ul li.product, .woocommerce .related ul.products li.product, .woocommerce .upsells.products ul li.product, .woocommerce .upsells.products ul.products li.product, .woocommerce-page .related ul li.product, .woocommerce-page .related ul.products li.product, .woocommerce-page .upsells.products ul li.product, .woocommerce-page .upsells.products ul.products li.product { width:30.8%; }'; 
		}

		// header row one settings
		if( get_theme_mod( 'busybella_header_r1_top_padding' ) )	{
			$busybella_header_r1_top_padding = 'padding-top: ' . esc_attr( get_theme_mod( 'busybella_header_r1_top_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_header_r1_bottom_padding' ) )	{
			$busybella_header_r1_bottom_padding = 'padding-bottom: ' . esc_attr( get_theme_mod( 'busybella_header_r1_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_header_r1_border_bottom_width' ) )	{
			$busybella_header_r1_border_bottom_width = 'border-bottom-width: ' . esc_attr( get_theme_mod( 'busybella_header_r1_border_bottom_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'busybella_header_r1_top_padding' ) || get_theme_mod( 'busybella_header_r1_bottom_padding' ) || get_theme_mod( 'busybella_header_r1_border_bottom_width' ) )	{ 
		$busybella_header_r1_styles = '.dtr-header-row-one { ' . $busybella_header_r1_top_padding . '' . $busybella_header_r1_bottom_padding . '' . $busybella_header_r1_border_bottom_width . ' }';  
		} // header row one settings ends

		// header row two settings
		if( get_theme_mod( 'busybella_header_r2_top_padding' ) )	{
			$busybella_header_r2_top_padding = 'padding-top: ' . esc_attr( get_theme_mod( 'busybella_header_r2_top_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_header_r2_bottom_padding' ) )	{
			$busybella_header_r2_bottom_padding = 'padding-bottom: ' . esc_attr( get_theme_mod( 'busybella_header_r2_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_header_r2_border_bottom_width' ) )	{
			$busybella_header_r2_border_bottom_width = 'border-bottom-width: ' . esc_attr( get_theme_mod( 'busybella_header_r2_border_bottom_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'busybella_header_r2_top_padding' ) || get_theme_mod( 'busybella_header_r2_bottom_padding' ) || get_theme_mod( 'busybella_header_r2_border_bottom_width' ) )	{ 
		$busybella_header_r2_styles = '.dtr-header-row-two { ' . $busybella_header_r2_top_padding . '' . $busybella_header_r2_bottom_padding . '' . $busybella_header_r2_border_bottom_width . ' }';  
		} // header row two settings ends
		
		// menubar settings
		if( get_theme_mod( 'busybella_menubar_top_padding' ) )	{
			$busybella_menubar_top_padding = 'padding-top: ' . esc_attr( get_theme_mod( 'busybella_menubar_top_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_menubar_bottom_padding' ) )	{
			$busybella_menubar_bottom_padding = 'padding-bottom: ' . esc_attr( get_theme_mod( 'busybella_menubar_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_menubar_border_bottom_width' ) )	{
			$busybella_menubar_border_bottom_width = 'border-bottom-width: ' . esc_attr( get_theme_mod( 'busybella_menubar_border_bottom_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'busybella_menubar_top_padding' ) || get_theme_mod( 'busybella_menubar_bottom_padding' ) || get_theme_mod( 'busybella_menubar_border_bottom_width' ) )	{ 
		$busybella_menubar_general_styles = '.dtr-menubar-row { ' . $busybella_menubar_top_padding . '' . $busybella_menubar_bottom_padding . '' . $busybella_menubar_border_bottom_width . ' }';  
		} // menubar settings ends

		// header general settings
		if( get_theme_mod( 'busybella_header_left_margin' ) )	{
			$busybella_header_left_margin .=  '.dtr-header-widget-one { margin-top: ' . esc_attr( get_theme_mod( 'busybella_header_left_margin' ) ) . '; }'; 
		}
		if( get_theme_mod( 'busybella_header_right_margin' ) )	{
			$busybella_header_right_margin .=  '.dtr-header-widget-two { margin-top: ' . esc_attr( get_theme_mod( 'busybella_header_right_margin' ) ) . '; }'; 
		}
		if( get_theme_mod( 'busybella_header_r2_left_margin' ) )	{
			$busybella_header_r2_left_margin .=  '.dtr-header-widget-three { margin-top: ' . esc_attr( get_theme_mod( 'busybella_header_r2_left_margin' ) ) . '; }'; 
		}
		if( get_theme_mod( 'busybella_logo_top_margin' ) )	{
			$busybella_logo_top_margin	= '.dtr-logo { margin-top: ' . esc_attr( get_theme_mod( 'busybella_logo_top_margin' ) ) . '; }';  
		}
		if( get_theme_mod( 'busybella_header_search_margin' ) )	{
			$busybella_header_search_margin	= '.dtr-search-modal-trigger::after { margin-top: ' . esc_attr( get_theme_mod( 'busybella_header_search_margin' ) ) . '; }';  
		}
		if( get_theme_mod( 'busybella_nav_top_margin' ) )	{
			$busybella_nav_top_margin	= '.main-navigation { margin-top: ' . esc_attr( get_theme_mod( 'busybella_nav_top_margin' ) ) . '; }';  
		} // header general settings ends
		
		// page title settings
		if( get_theme_mod( 'busybella_page_title_top_padding' ) )	{ 
			$busybella_page_title_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'busybella_page_title_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'busybella_page_title_bottom_padding' ) )	{
			$busybella_page_title_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'busybella_page_title_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_page_title_border_top_width' ) )	{
			$busybella_page_title_border_top_width = 'border-top-width: ' . esc_attr( get_theme_mod( 'busybella_page_title_border_top_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'busybella_page_title_border_bottom_width' ) )	{
			$busybella_page_title_border_bottom_width = 'border-bottom-width: ' . esc_attr( get_theme_mod( 'busybella_page_title_border_bottom_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'busybella_page_title_top_padding' ) || get_theme_mod( 'busybella_page_title_bottom_padding' ) || get_theme_mod( 'busybella_page_title_border_top_width' ) || get_theme_mod( 'busybella_page_title_border_bottom_width' ) )	{
			$busybella_page_title_styles	= '#dtr-page-title-wrapper { ' . $busybella_page_title_top_padding . '' . $busybella_page_title_bottom_padding . '' . $busybella_page_title_border_top_width . '' . $busybella_page_title_border_bottom_width . ' }';  
		} // page title settings ends

		// sticky header settings
		if( get_theme_mod( 'busybella_sticky_header_top_padding' ) )	{ 
			$busybella_sticky_header_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'busybella_sticky_header_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'busybella_sticky_header_bottom_padding' ) )	{
			$busybella_sticky_header_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'busybella_sticky_header_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_sticky_header_top_padding' ) || get_theme_mod( 'busybella_sticky_header_bottom_padding' ) )	{
			$busybella_sticky_header_styles = '#dtr-header-sticky { ' . $busybella_sticky_header_top_padding . '' . $busybella_sticky_header_bottom_padding . ' }';  
		} 
		if( get_theme_mod( 'busybella_sticky_logo_top_margin' ) )	{
			$busybella_sticky_logo_top_margin	= '#dtr-header-sticky .dtr-logo { margin-top: ' . esc_attr( get_theme_mod( 'busybella_sticky_logo_top_margin' ) ) . '; }';  
		}
		if( get_theme_mod( 'busybella_sticky_nav_top_margin' ) )	{
			$busybella_sticky_nav_top_margin	= '#dtr-header-sticky .main-navigation { margin-top: ' . esc_attr( get_theme_mod( 'busybella_sticky_nav_top_margin' ) ) . '; }';  
		}
		// sticky header settings ends
		
		// footer settings
		if( get_theme_mod( 'busybella_footer_top_padding' ) )	{ 
			$busybella_footer_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'busybella_footer_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'busybella_footer_bottom_padding' ) )	{
			$busybella_footer_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'busybella_footer_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_footer_border_top_width' ) )	{
			$busybella_footer_border_top_width = 'border-top-width: ' . esc_attr( get_theme_mod( 'busybella_footer_border_top_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'busybella_footer_top_padding' ) || get_theme_mod( 'busybella_footer_bottom_padding' ) || get_theme_mod( 'busybella_footer_border_top_width' ) )	{
			$busybella_footer_styles = '#dtr-footer-section { ' . $busybella_footer_top_padding . '' . $busybella_footer_bottom_padding . '' . $busybella_footer_border_top_width . ' }';  
		} 
		// footer top row
		if( get_theme_mod( 'busybella_footerfull_margin' ) )	{
			$busybella_footerfull_margin .= '.dtr-footer-full { margin-top: ' . esc_attr( get_theme_mod( 'busybella_footerfull_margin' ) ) . '; }';  
		}	
		// footer settings ends
		
		// copyright settings
		if( get_theme_mod( 'busybella_copyright_top_padding' ) )	{ 
			$busybella_copyright_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'busybella_copyright_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'busybella_copyright_bottom_padding' ) )	{
			$busybella_copyright_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'busybella_copyright_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_copyright_top_margin' ) )	{
			$busybella_copyright_top_margin	= 'margin-top: ' . esc_attr( get_theme_mod( 'busybella_copyright_top_margin' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_copyright_border_top_width' ) )	{
			$busybella_copyright_border_top_width = 'border-top-width: ' . esc_attr( get_theme_mod( 'busybella_copyright_border_top_width' ) ) . 'px;';  
		}
		if( get_theme_mod( 'busybella_copyright_top_padding' ) || get_theme_mod( 'busybella_copyright_bottom_padding' ) || get_theme_mod( 'busybella_copyright_top_margin' ) || get_theme_mod( 'busybella_copyright_border_top_width' ) ) {
			$busybella_copyright_styles = '.dtr-copyright { ' . $busybella_copyright_top_padding . '' . $busybella_copyright_bottom_padding . '' . $busybella_copyright_top_margin . '' . $busybella_copyright_border_top_width . ' }';  
		} // copyright settings ends
		
		// slider area
		if( get_theme_mod( 'busybella_fp_slider_height' ) )	{
			$busybella_fp_slider_height .= '.featured-slider-inner { height: ' . esc_attr( get_theme_mod( 'busybella_fp_slider_height' ) ) . 'px; }';  
		}	
		
		// blog top panel settings
		if( get_theme_mod( 'busybella_blog_header_panel_top_padding' ) )	{ 
			$busybella_blog_header_panel_top_padding	= 'padding-top: ' . esc_attr( get_theme_mod( 'busybella_blog_header_panel_top_padding' ) ) . ';';  
		} 
		if( get_theme_mod( 'busybella_blog_header_panel_bottom_padding' ) )	{
			$busybella_blog_header_panel_bottom_padding	= 'padding-bottom: ' . esc_attr( get_theme_mod( 'busybella_blog_header_panel_bottom_padding' ) ) . ';';  
		}
		if( get_theme_mod( 'busybella_blog_header_panel_top_padding' ) || get_theme_mod( 'busybella_blog_header_panel_bottom_padding' ) )	{
			$busybella_blog_header_panel_styles = '.dtr-featured-slider-wrapper { ' . $busybella_blog_header_panel_top_padding . '' . $busybella_blog_header_panel_bottom_padding . ' }';  
		} //  blog top panel settings ends
		
		// page title background styles
		$page_title_style 			= '';
		$bg_image 					= '';
		$bg_image_style 			= '';
		$header_bg_image_overlay	= '';
		
		$bg_image       			= get_post_meta( get_the_ID(), '_busybella_page_header_bg_image', true );
		$bg_image_style 			= get_post_meta( get_the_ID(), '_busybella_page_header_bg_image_style', true );
		$header_bg_image_overlay	= get_post_meta( get_the_ID(), '_busybella_page_header_bg_image_overlay', true );
		
		if( $header_bg_image_overlay != '' ) {
		$return_header_bg_image_overlay = 'box-shadow: inset 0px 0px 0 2000px rgba(0,0,0,'. $header_bg_image_overlay .') !important;';
  		} else {
		$return_header_bg_image_overlay = '';
		}

		// Background image
		if ( $bg_image ) {
			if ( $bg_image_style == 'repeat' || $bg_image_style == '' ) {
				$busybella_page_title_style .= '#dtr-page-title-wrapper { background: url('.  esc_url( $bg_image ) .') repeat !important; ' . esc_attr ( $return_header_bg_image_overlay ) . '}';
			}
			if ( $bg_image_style == 'stretched' ) {
				$busybella_page_title_style .= '#dtr-page-title-wrapper { background: url('. esc_url( $bg_image ) .') no-repeat center center !important; background-size: cover !important; ' . esc_attr ( $return_header_bg_image_overlay ) . '}';
			}
			if ( $bg_image_style == 'fixed' ) {
				$busybella_page_title_style .= '#dtr-page-title-wrapper { background: url('.  esc_url( $bg_image ) .') no-repeat center center fixed  !important; background-size: cover !important; ' . esc_attr ( $return_header_bg_image_overlay ) . '}';
			}
		} // Background image
		// page title background styles
		
		// themebase color
		if( get_theme_mod( 'busybella_themebase_color' ) )	{
		$busybella_themebase_color .= '.dtr-dropcap.dtr-dropcap-circle, .dtr-dropcap.dtr-dropcap-square, .dtr-ql-format-wrapper, .tooltip-inner, #take-to-top { background-color: ' . sanitize_hex_color( get_theme_mod( 'busybella_themebase_color' ) ) . '; } .dtr-dropcap.dtr-dropcap-circle, .dtr-dropcap.dtr-dropcap-square, .dtr-post-tags a:hover, .tagcloud a:hover, .tooltip-inner { border-color: ' . sanitize_hex_color( get_theme_mod( 'busybella_themebase_color' ) ) . '; } .tooltip.top .tooltip-arrow { border-top-color: ' . sanitize_hex_color( get_theme_mod( 'busybella_themebase_color' ) ) . '; } .sticky .dtr-entry-thumb::before { border-right-color: ' . sanitize_hex_color( get_theme_mod( 'busybella_themebase_color' ) ) . '; } .wp-caption figcaption, .dtr-post-tags a:hover, .tagcloud a:hover { color:' . sanitize_hex_color( get_theme_mod( 'busybella_themebase_color' ) ) . '; }';
		}
		
		// final custom css output	
		$busybella_custom_css_output = '' . $busybella_header_r1_styles . '' . $busybella_header_r2_styles . '' . $busybella_menubar_general_styles . '' . $busybella_header_left_margin . '' . $busybella_header_right_margin . '' . $busybella_header_search_margin . '' . $busybella_header_r2_left_margin . '' . $busybella_logo_top_margin . '' . $busybella_nav_top_margin . '' . $busybella_page_title_style . '' . $busybella_page_title_styles . '' . $busybella_sticky_header_styles . '' . $busybella_sticky_logo_top_margin . '' . $busybella_sticky_nav_top_margin . '' .  $busybella_footer_styles . '' . $busybella_copyright_styles. '' . $busybella_blog_header_panel_styles . '' . $busybella_footerfull_margin . '' . $busybella_fp_slider_height . '' . $busybella_themebase_color . '' . $busybella_woocommerce_shop_columns . '' . $busybella_woocommerce_related_products_column . '';
		wp_add_inline_style( 'busybella-inline-style', $busybella_custom_css_output );
	} 
endif;
add_action( 'wp_enqueue_scripts', 'busybella_custom_inline_styles', 30 );