<?php
// Footer section fields
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_footer_enable',
	'label'       	 => esc_html__( 'Footer', 'busybella' ),
	'description'    => esc_html__( 'You can individually hide footer rows below.', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// footer_columns_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_footer_columns_enable',
	'label'       	 => esc_html__( 'Main Footer Columns Row', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// footer_columns
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_footer_columns',
	'label'       =>  esc_html__('Number of Columns', 'busybella'),
	'section'     => 'busybella_section_footer_settings',
	'default'     => '3',
	'priority'    => 10,
	'multiple'    => 1,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_footer_columns_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices' => array(
		'1'	=> esc_html__( 'Single Column', 'busybella' ),
		'2'	=> esc_html__( 'Two Equal Columns', 'busybella' ),
		'3'	=> esc_html__( 'Three Equal Columns', 'busybella' ),
		'4'	=> esc_html__( 'Four Equal Columns', 'busybella' ),
		'5'	=> esc_html__( '1/4 + 1/2 + 1/4', 'busybella' ),
		'6'	=> esc_html__( '1/4 + 3/4', 'busybella' ),
	),
) );

// copyright_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_copyright_enable',
	'label'       	 => esc_html__('Copyright', 'busybella'),
	'section'		 => 'busybella_section_footer_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'background',
	'settings'    => 'busybella_footer_background',
	'label'       => esc_html__( 'Background', 'busybella' ),
	'section'     => 'busybella_section_footer_settings',
    'default'     => array(
            'background-color'    => '#252525',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'output'    => array( array( 'element'  => '#dtr-footer-section' ), ),
) );

// footer_border_top_width
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'number',
	'settings'		 => 'busybella_footer_border_top_width',
	'label'			 => esc_html__( 'Border Top Width', 'busybella' ),
	'description' 	 => esc_html__( 'It will be in px', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'default'     	 => 0,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'priority'		 => 10,
) );

// footer_border_top_color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_footer_border_top_color',
	'label'			 => esc_html__( 'Border Top Color', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'output'		 => array(
		array(
			'element'	 => '#dtr-footer-section',
			'property'	 => 'border-top-color',
		)
	),
	'transport'		 => 'auto',
) );

// footer_top_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_footer_top_padding',
	'label'			 => esc_html__( 'Top Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );

// footer_bottom_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_footer_bottom_padding',
	'label'			 => esc_html__( 'Bottom Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );

// copyright_background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'background',
	'settings'    => 'busybella_copyright_background',
	'label'       => esc_html__( 'Copyright Background', 'busybella' ),
	'section'     => 'busybella_section_footer_settings',
    'default'     => array(
			'background-color'	=> '#303030',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'   => 'auto',
	'output'    => array( array( 'element'  => '.dtr-copyright' ), ),
) );


// copyright_border_top_width
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'number',
	'settings'		 => 'busybella_copyright_border_top_width',
	'label'			 => esc_html__( 'Copyright Border Top Width', 'busybella' ),
	'description' 	 => esc_html__( 'It will be in px', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'default'     	 => 1,
	'transport'   => 'auto',
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'priority'		 => 10,
) );

// copyright_border_top_color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_copyright_border_top_color',
	'label'			 => esc_html__( 'Copyright Border Top Color', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'priority'		 => 10,
	'default'     	 => 'rgba(255,255,255,0.5)',
	'output'		 => array(
		array(
			'element'	 => '.dtr-copyright',
			'property'	 => 'border-top-color',
		)
	),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );


// copyright_top_margin
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_copyright_top_margin',
	'label'			 => esc_html__( 'Copyright Top Margin', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );

// copyright_top_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_copyright_top_padding',
	'label'			 => esc_html__( 'Copyright Top Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );

// copyright_bottom_padding
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_copyright_bottom_padding',
	'label'			 => esc_html__( 'Copyright Bottom Padding', 'busybella' ),
	'description' 	 => esc_html__( 'Provide unit. Ex. 20px', 'busybella' ),
	'section'		 => 'busybella_section_footer_settings',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_footer_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_copyright_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'priority'		 => 10,
) );