<?php
// General section fields
// content section background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'background',
	'settings'    => 'busybella_site_background',
	'label'       => esc_html__( 'Content Background', 'busybella' ),
	'section'     => 'busybella_section_general_content',
    'default'     => array(
            'background-color'	=> '#ffffff',
            'image'    			=> '',
            'repeat'   			=> '',
            'size'     			=> '',
            'attach'   			=> '',
            'position' 			=> '',
            'opacity'  			=> '',
     ),
	'priority'    => 10,
	'output'    => array(
		array(
			'element'  => '#dtr-wrapper',
		),
	),
	'transport'   => 'auto',				  
					  
) );

// page layout
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_page_layout',
	'label'       => esc_html__( 'Global Page Layout Style', 'busybella' ),
	'description' => esc_html__( 'Can be override individually for page.', 'busybella' ),
	'section'     => 'busybella_section_pages',
	'default'     => 'dtr-fullwidth',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-fullwidth' 	=> esc_html__('No Sidebar', 'busybella'),
		'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'busybella'),
		'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'busybella'),
	),
) );

// page title
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_page_title',
	'label'       	 => esc_html__( 'Complete Page Title Section', 'busybella' ),
	'section'		 => 'busybella_section_pages',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// page heading
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_page_heading',
	'label'       	 => esc_html__( 'Page Title', 'busybella' ),
	'section'		 => 'busybella_section_pages',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// breadcrumb
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_page_breadcrumb',
	'label'       	 => esc_html__( 'Breadcrumb', 'busybella' ),
	'section'		 => 'busybella_section_pages',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// page comments
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'checkbox',
	'settings'    => 'busybella_enable_page_comments',
	'label'       => esc_html__( 'Comments on pages', 'busybella' ),
	'section'	  => 'busybella_section_pages',
	'default'     => '1',
	'priority'    => 10,
) );


// responsive
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'checkbox',
	'settings'    => 'busybella_enable_responsive',
	'label'       => esc_html__( 'Responsiveness', 'busybella' ),
	'section'     => 'busybella_section_responsive',
	'default'     => '1',
	'priority'    => 10,
) );

// header code
busybella_Kirki::add_field( 'busybella_config', array(
	'type'     => 'textarea',
	'settings' => 'busybella_header_code',
	'label'    => __( 'Code in Header', 'busybella' ),
	'section'  => 'busybella_section_header_code',
	'priority' => 10,
) );

// schema
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'checkbox',
	'settings'    => 'busybella_enable_schema_markup',
	'label'       => esc_html__( 'Enable Schema Markup', 'busybella' ),
	'section'     => 'busybella_section_seo',
	'default'     => '1',
	'priority'    => 10,
) );

// scroll top
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_scroll_top',
	'label'       	 => esc_html__( 'Scroll To Top', 'busybella' ),
	'section'		 => 'busybella_section_scroll_top',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// scroll top background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_scroll_top_bg_color',
	'label'			 => esc_html__( 'Background Color', 'busybella' ),
	'section'		 => 'busybella_section_scroll_top',
	'priority'		 => 10,
	'default'        => '#9d3442',
	'output'		 => array(
		array(
			'element'	 => '#take-to-top',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// take top on mobile
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_mobile_scroll_top',
	'label'       	 => esc_html__( 'Scroll To Top on Mobile', 'busybella' ),
	'section'		 => 'busybella_section_scroll_top',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// social_share_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_social_share_band_enable',
	'label'       	 => esc_html__('Social Share Section', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'background',
	'settings'    => 'busybella_social_share_band_background',
	'label'       => esc_html__( 'Background', 'busybella' ),
	'section'     => 'busybella_section_share_band_settings',
    'default'     => array(
            'background-color'    => '#f4f4f4',
            'image'    => '',
            'repeat'   => '',
            'size'     => '',
            'attach'   => '',
            'position' => '',
            'opacity'  => 100
        ),
	'priority'    => 10,
	'transport'   => 'auto',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'output'    => array( array( 'element'  => '.dtr-social-band' ), ),
) );

// social_share_band_title_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_social_share_band_title_enable',
	'label'       	 =>  esc_html__('Section Title', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// social_share_band_title
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_social_share_band_title',
	'label'			 => esc_html__( 'Title', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Get Connected', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_social_share_band_title_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_social_share_band_title' => array(
			'selector'        => '.dtr-social-band-title',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_social_share_band_title' );
			},
		),
	),
	'transport'		 => 'auto',
) );


// twitter_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_twitter_band_enable',
	'label'       	 =>  esc_html__('Twitter in Share Band', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// twitter_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_twitter_link_text',
	'label'			 => esc_html__( 'Twitter link text', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Tweet On Twitter', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_twitter_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_twitter_link_text' => array(
			'selector'        => '.dtr-twitter-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_twitter_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// twitter_link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_twitter_link',
	'label'			 => esc_html__( 'Twitter link URL', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_twitter_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// pinterest_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_pinterest_band_enable',
	'label'       	 =>  esc_html__('Pinterest in Share Band', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// pinterest_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_pinterest_link_text',
	'label'			 => esc_html__( 'Pinterest link text', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Tweet On Twitter', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_pinterest_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_pinterest_link_text' => array(
			'selector'        => '.dtr-pinterest-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_pinterest_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// pinterest_link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_pinterest_link',
	'label'			 => esc_html__( 'Pinterest link URL', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_pinterest_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// facebook_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_facebook_band_enable',
	'label'       	 =>  esc_html__('Facebook in Share Band', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// facebook_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_facebook_link_text',
	'label'			 => esc_html__( 'Facebook link text', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Like On Facebook', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_facebook_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_facebook_link_text' => array(
			'selector'        => '.dtr-facebook-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_facebook_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// facebook_link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_facebook_link',
	'label'			 => esc_html__( 'Facebook link URL', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_facebook_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// googleplus_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_googleplus_band_enable',
	'label'       	 =>  esc_html__('Googleplus in Share Band', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// googleplus_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_googleplus_link_text',
	'label'			 => esc_html__( 'Googleplus link text', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Like On Facebook', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_googleplus_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_googleplus_link_text' => array(
			'selector'        => '.dtr-googleplus-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_googleplus_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// googleplus_link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_googleplus_link',
	'label'			 => esc_html__( 'Googleplus link URL', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_googleplus_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// linkedin_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_linkedin_band_enable',
	'label'       	 =>  esc_html__('Linkedin in Share Band', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// linkedin_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_linkedin_link_text',
	'label'			 => esc_html__( 'Linkedin link text', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Like On Facebook', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_linkedin_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_linkedin_link_text' => array(
			'selector'        => '.dtr-linkedin-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_linkedin_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// linkedin_link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_linkedin_link',
	'label'			 => esc_html__( 'Linkedin link URL', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_linkedin_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// youtube_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_youtube_band_enable',
	'label'       	 =>  esc_html__('Youtube in Share Band', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// youtube_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_youtube_link_text',
	'label'			 => esc_html__( 'Youtube link text', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Watch On youtube', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_youtube_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_youtube_link_text' => array(
			'selector'        => '.dtr-youtube-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_youtube_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// youtube_link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_youtube_link',
	'label'			 => esc_html__( 'Youtube link URL', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_youtube_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// soundcloud_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_soundcloud_band_enable',
	'label'       	 =>  esc_html__('Soundcloud in Share Band', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// soundcloud_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_soundcloud_link_text',
	'label'			 => esc_html__( 'Soundcloud link text', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Listen On Soundcloud', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_soundcloud_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_soundcloud_link_text' => array(
			'selector'        => '.dtr-soundcloud-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_soundcloud_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// soundcloud_link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_soundcloud_link',
	'label'			 => esc_html__( 'Soundcloud link URL', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_soundcloud_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// instagram_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_instagram_band_enable',
	'label'       	 =>  esc_html__('Instagram in Share Band', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// instagram_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_instagram_link_text',
	'label'			 => esc_html__( 'Instagram link text', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Listen On Soundcloud', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_instagram_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_instagram_link_text' => array(
			'selector'        => '.dtr-instagram-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_instagram_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// instagram_link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_instagram_link',
	'label'			 => esc_html__( 'Instagram link URL', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_instagram_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// vimeo_band_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_vimeo_band_enable',
	'label'       	 =>  esc_html__('Vimeo in Share Band', 'busybella'),
	'section'		 => 'busybella_section_share_band_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// vimeo_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_vimeo_link_text',
	'label'			 => esc_html__( 'Vimeo link text', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Watch On Vimeo', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_vimeo_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_vimeo_link_text' => array(
			'selector'        => '.dtr-vimeo-band',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_vimeo_link_text' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// vimeo_link
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_vimeo_link',
	'label'			 => esc_html__( 'Vimeo link URL', 'busybella' ),
	'section'		 => 'busybella_section_share_band_settings',
	'priority'		 => 10,
	'default'		 => '#',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_social_share_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_vimeo_band_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );