<?php
// misc section fields
// search_form_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_search_form_text',
	'label'   		 =>  esc_html__('Search Form Text', 'busybella'),
	'section'		 => 'busybella_section_search_settings',
	'priority'		 => 10,
	'default'        => esc_html__('Type keyword...', 'busybella'),
	'transport'		 => 'auto',
) );

// search_modal_title
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_search_modal_title',
	'label'			 => esc_html__( 'Modal Serch Title', 'busybella' ),
	'section'		 => 'busybella_section_search_settings',
	'priority'		 => 10,
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_header_search_enable',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_search_modal_title' => array(
			'selector'        => '.dtr-search-modal-title',
			'render_callback'	=> function() { 
		echo get_theme_mod( 'busybella_search_modal_title' );
	},
		),
	),
	'default'        => esc_html__("What you are looking for?", 'busybella'),
	'transport'		 => 'auto',
) );

// 404_heading
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 	=> 'text',
	'settings'		 	=> 'busybella_404_heading',
	'label'   		 	=>  esc_html__('404 Main Heading', 'busybella'),
	'section'			=> 'busybella_section_404_settings',
	'priority'		 	=> 10,
	'partial_refresh'	=> array(
		'busybella_404_heading'		=> array(
				'selector' 			=> '.heading-404',
				'render_callback'	=> function() { 
		echo get_theme_mod( 'busybella_404_heading' );
	},
		),
	),
    'default'        	=> esc_html__('404', 'busybella'),
	'transport'		 	=> 'auto',
) );

// 404_heading
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 	=> 'text',
	'settings'		 	=> 'busybella_404_text',
	'label'   			=>  esc_html__('404 Text', 'busybella'),
	'section'		 	=> 'busybella_section_404_settings',
	'priority'		 	=> 10,
	'partial_refresh'	=> array(
	'busybella_404_text'	=> array(
	'selector' 			=> '.error-form-wrapper p',
	'render_callback'	=> function() { 
		echo get_theme_mod( 'busybella_404_text' );
		},
	),
	),
	'default'        	=> esc_html__('It seems we can not find what you are looking for. Try with search.', 'busybella'),
	'transport'		 	=> 'auto',
) );

// 404_link_text
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 		=> 'text',
	'settings'		 		=> 'busybella_404_link_text',
    'label'   				=>  esc_html__('Back to Home Link Text', 'busybella'),
	'section'		 		=> 'busybella_section_404_settings',
	'priority'		 		=> 10,
	'partial_refresh' 		=> array(
	'busybella_404_link_text'	=> array(
	'selector' 			=> '.link-404',
	'render_callback'	=> function() { 
		echo get_theme_mod( 'busybella_404_link_text' );
		},
	),
	),
	'default'        		=> esc_html__('Back To Home', 'busybella'),
	'transport'		 		=> 'auto',
) );

// demo_import_notification_enable
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'checkbox',
	'settings'    => 'busybella_demo_import_notification_enable',
	'label'       => esc_html__( 'Enable Demo Import Plugin Notification', 'busybella' ),
	'description' => esc_html__( 'Uncheck to disable Demo Import Plugin notification, once you finish demo import, as it is unnecessary later.', 'busybella' ),
	'section'	  => 'busybella_section_demo_import_settings',
	'default'     => '1',
	'priority'    => 10,
) );