<?php
// Woocommerce section fields
// page header
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_woo_page_title',
	'label'       	 => esc_html__( 'Complete Page Title Section on Woo Pages ( Shop and Product )', 'busybella' ),
	'section'		 => 'busybella_section_woo_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// page heading
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_woo_page_heading',
	'label'       	 => esc_html__( 'Page Title', 'busybella' ),
	'section'		 => 'busybella_section_woo_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_woo_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// breadcrumb
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_woo_page_breadcrumb',
	'label'       	 => esc_html__( 'Breadcrumb', 'busybella' ),
	'section'		 => 'busybella_section_woo_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_woo_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// page layout
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_shop_layout',
	'label'       => esc_html__( 'Shop Layout', 'busybella' ),
	'description' => esc_html__( 'Can be override individually for page.', 'busybella' ),
	'section'     => 'busybella_section_woo_general_settings',
	'default'     => 'dtr-fullwidth',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-fullwidth' 	=> esc_html__('No Sidebar', 'busybella'),
		'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'busybella'),
		'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'busybella'),
	),
) );

// Shop Columns
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_woocommerce_shop_columns',
	'label'       => esc_html__( 'Shop Columns', 'busybella' ),
	'section'     => 'busybella_section_woo_general_settings',
	'default'     => '3',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		 '2' => '2',
         '3' => '3',
         '4' => '4'
	),
) );

// product description
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_woo_product_desc',
	'label'       	 => esc_html__( 'Product Description on Shop / Archive Pages / Related Products', 'busybella' ),
	'description'    => esc_html__( 'In case you decide to go for plugin reommended by woo for extensive lable change. Disable this. Plugin could override then.', 'busybella' ),
	'section'		 => 'busybella_section_woo_general_settings',
	'default'     	 => 'show',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Show', 'busybella' ),
		'hide'	 => esc_html__( 'Hide', 'busybella' ),
	),
) );

// single_heading
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_woo_single_heading',
	'label'			 => esc_html__( 'Shop Page Title', 'busybella' ),
	'section'		 => 'busybella_section_woo_general_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Products', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_woo_page_title',
			'operator' => '==',
			'value'    => 'show',
		),
		array(
			'setting'  => 'busybella_enable_woo_page_heading',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'partial_refresh' => array(
		'busybella_single_heading' => array(
			'selector'        => '.dtr-page-title',
			'render_callback'	=> function() { 
				echo get_theme_mod( 'busybella_single_heading' );
			},
		),
	),
	'transport'		 => 'auto',
) );

// product page layout
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_product_layout',
	'label'       => esc_html__( 'Product Page Layout', 'busybella' ),
	'section'     => 'busybella_section_woo_general_settings',
	'default'     => 'dtr-fullwidth',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		'dtr-fullwidth' 	=> esc_html__('No Sidebar', 'busybella'),
		'dtr-right-sidebar'	=> esc_html__('Right Sidebar', 'busybella'),
		'dtr-left-sidebar' 	=> esc_html__('Left Sidebar', 'busybella'),
	),
) );

// Related Products
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'select',
	'settings'    => 'busybella_woocommerce_related_products_column',
	'label'       => esc_html__( 'Related Products Columns', 'busybella' ),
	'section'     => 'busybella_section_woo_general_settings',
	'default'     => '3',
	'priority'    => 10,
	'multiple'    => 1,
	'choices'     => array(
		 '1' => '1',
		 '2' => '2',
         '3' => '3',
         '4' => '4'
	),
) );

// Number of Related Products
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'number',
	'settings'		 => 'busybella_woocommerce_related_products',
	'label'			 => esc_html__( 'Number of Related Products', 'busybella' ),
	'section'		 => 'busybella_section_woo_general_settings',
	'default'        => '3',
	'priority'		 => 10,
) );

// product button label
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'radio',
	'settings'		 => 'busybella_enable_woo_product_label_modify',
	'label'       	 => esc_html__( 'Product Button Modify Via Theme', 'busybella' ),
	'description'    => esc_html__( 'In case you decide to go for plugin reommended by woo for extensive lable change. Disable this. Plugin could override then.', 'busybella' ),
	'section'		 => 'busybella_section_woo_general_settings',
	'default'     	 => 'hide',
	'priority'		 => 10,
	'transport'		 => 'refresh',
	'choices'		 => array(
		'show'	 => esc_html__( 'Enable', 'busybella' ),
		'hide'	 => esc_html__( 'Disable', 'busybella' ),
	),
) );

// archive product button label
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_custom_woo_archive_cart_button_text',
	'label'			 => esc_html__( 'Add to Cart Button Text On Shop / Product Archive Page', 'busybella' ),
	'section'		 => 'busybella_section_woo_general_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Add to Cart', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_woo_product_label_modify',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// single product button label
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'text',
	'settings'		 => 'busybella_custom_woo_cart_button_text',
	'label'			 => esc_html__( 'Add to Cart Button Text On Single Product Page', 'busybella' ),
	'section'		 => 'busybella_section_woo_general_settings',
	'priority'		 => 10,
	'default'		 => esc_html__( 'Add to Cart', 'busybella' ),
	'active_callback'  => array(
		array(
			'setting'  => 'busybella_enable_woo_product_label_modify',
			'operator' => '==',
			'value'    => 'show',
		),
	),
	'transport'		 => 'auto',
) );

// woo typography starts
// button
busybella_Kirki::add_field( 'busybella_config', array(
	'type'        => 'typography',
	'settings'    => 'busybella_woo_button_typo',
	'label'       => esc_html__( 'Buttons Fonts', 'busybella' ),
	'section'     => 'busybella_section_woo_typo',
	'default'     => array(
		'font-family'    => 'montserrat',
		'variant'        => 'regular',
		'font-size'      => '13px',
		'letter-spacing' => '1',
		'subsets'        => array( 'latin-ext' ),
		'text-transform' => 'uppercase',
	),
	'priority'    => 10,
	'transport'   => 'auto',
	'output'      => array(
		array(
			'element' => '.added_to_cart.wc-forward, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
		),
	),
) );

// buttons background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_woo_primary_button_bg_color',
	'label'			 => esc_html__( 'Primary Button Background Color', 'busybella' ),
	'section'		 => 'busybella_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// buttons color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_woo_primary_button_color',
	'label'			 => esc_html__( 'Primary Button Color', 'busybella' ),
	'section'		 => 'busybella_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// alt buttons background
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_woo_alt_button_bg_color',
	'label'			 => esc_html__( 'Alt Button Background Color', 'busybella' ),
	'section'		 => 'busybella_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt',
			'property'	 => 'background-color',
		)
	),
	'transport'		 => 'auto',
) );

// alt buttons color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_woo_alt_button_color',
	'label'			 => esc_html__( 'Alt Button Color', 'busybella' ),
	'section'		 => 'busybella_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// price color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_woo_price_color',
	'label'			 => esc_html__( 'Price / In stock Color', 'busybella' ),
	'section'		 => 'busybella_section_woo_typo',
	'priority'		 => 10,
	'default'        => '',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce .price, .woocommerce .stock',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );

// price color
busybella_Kirki::add_field( 'busybella_config', array(
	'type'			 => 'color',
	'settings'		 => 'busybella_woo_price_color',
	'label'			 => esc_html__( 'Product short description on Shop page Color', 'busybella' ),
	'section'		 => 'busybella_section_woo_typo',
	'priority'		 => 10,
	'default'        => '#2c2c2c',
	'output'		 => array(
		array(
			'element'	 => '.woocommerce-product-details__short-description, .woocommerce-product-details__short-description a',
			'property'	 => 'color',
		)
	),
	'transport'		 => 'auto',
) );
