<?php
/**
 * Layouts
 */
// Layout Classes
if ( ! function_exists( 'busybella_get_layout_class' ) ) {
	function busybella_get_layout_class() {
		
		// Vars
		$class = 'dtr-fullwidth';

		// Single Post Layout
		if ( is_single() ) {
			$busybella_single_post_layout = get_theme_mod( 'busybella_single_post_layout', 'dtr-right-sidebar' );
			$page_setting = get_post_meta( get_the_ID(), '_busybella_page_layout_meta', true );
			if ( $page_setting !== '' ) {
				$class = $page_setting;
			} else {
				$class = $busybella_single_post_layout;
			}		
		}
		
		// Blog / Archive Layout
		$busybella_blog_layout = get_theme_mod( 'busybella_blog_layout', 'dtr-right-sidebar' );
		if ( is_archive() || is_author() || is_home() ) {
			$class = $busybella_blog_layout;
		}
		
		// Page Layout
		if ( is_page() ) {
			$busybella_page_layout = get_theme_mod( 'busybella_page_layout', 'dtr-fullwidth' );
			$page_setting = get_post_meta( get_the_ID(), '_busybella_page_layout_meta', true );
			if ( $page_setting !== '' ) {
				$class = $page_setting;
			} else {
				$class = $busybella_page_layout;
			}		
		}

		return $class;
	} 
}