<?php
/**
 * Registers widget areas.
 */
if ( ! function_exists('busybella_widgets_init') ) {
	function busybella_widgets_init()  {
		
		// Blog Widgets
		register_sidebar( array(
			'name'          => esc_html__( 'Blog Sidebar', 'busybella' ),
			'id'            => 'widgets-blog',
			'description'   => esc_html__( 'This area will be shown as a post sidebar. Widgets will be stacked in this column.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
	
		// Page Widgets
		register_sidebar( array(
			'name'          => esc_html__( 'Page Sidebar', 'busybella' ),
			'id'            => 'widgets-page',
			'description'   => esc_html__( 'This area will be shown as a page sidebar. Widgets will be stacked in this column.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );

		// Footer column 1
		register_sidebar( array(
			'name'          => esc_html__( 'Footer-Column-1', 'busybella' ),
			'id'            => 'footer-column-1',
			'description'   => esc_html__( 'Widgets in this column will appear in first footer column.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Footer column 1
		register_sidebar( array(
			'name'          => esc_html__( 'Footer-Column-1', 'busybella' ),
			'id'            => 'footer-column-1',
			'description'   => esc_html__( 'Widgets in this column will appear in first footer column.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Footer column 2
		register_sidebar( array(
			'name'          => esc_html__( 'Footer-Column-2', 'busybella' ),
			'id'            => 'footer-column-2',
			'description'   => esc_html__( 'Widgets in this column will appear in second footer column.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Footer column 3
		register_sidebar( array(
			'name'          => esc_html__( 'Footer-Column-3', 'busybella' ),
			'id'            => 'footer-column-3',
			'description'   => esc_html__( 'Widgets in this column will appear in third footer column.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Footer column 4
		register_sidebar( array(
			'name'          => esc_html__( 'Footer-Column-4', 'busybella' ),
			'id'            => 'footer-column-4',
			'description'   => esc_html__( 'Widgets in this column will appear in fourth footer column.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Header Widget Area - One
		register_sidebar( array(
			'name'          => esc_html__( 'Header Widget Area-One', 'busybella' ),
			'id'            => 'widget-header-one',
			'description'   => esc_html__( 'Widgets in this column will appear in header row one. Ex. Social Icons. Front end visibility as per the header variation selected.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Header Widget Widget - Two
		register_sidebar( array(
			'name'          => esc_html__( 'Header Widget Area-Two', 'busybella' ),
			'id'            => 'widget-header-two',
			'description'   => esc_html__( 'Widgets in this column will appear in header row one. Ex. Tagline, contact info text. Front end visibility as per the header variation selected.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Copyright Widget Area
		register_sidebar( array(
			'name'          => esc_html__( 'Copyright Widget Area', 'busybella' ),
			'id'            => 'widget-copyright',
			'description'   => esc_html__( 'Widgets in this column will appear in left top header section. Ex. Social Icons, text. Front end visibility as per the header variation selected.', 'busybella' ),
			'before_widget' => '<div id="%1$s" class="widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="widget-title">',
			'after_title'   => '</h4>',
		) );
		
		// Woocommerce Widgets
		if( busybella_is_woocommerce_activated() ) {
			register_sidebar(array(
				'name'          => esc_html__( 'Woocommerce Sidebar', 'busybella' ),
				'id'            => 'widgets-woocommerce',
				'description'   => esc_html__( 'This area will be shown as a WooCommerce sidebar for shop pages and product posts. Widgets will be stacked in this column.', 'busybella' ),
				'before_widget' => '<div id="%1$s" class="widget %2$s">',
				'after_widget'  => '</div>',
				'before_title'  => '<h4 class="widget-title">',
				'after_title'   => '</h4>',
			));
		} // Woocommerce Widgets
		
	}
// Hook into the 'widgets_init' action
add_action( 'widgets_init', 'busybella_widgets_init' );
}