<?php
/**
 * Template Name: Blank Page
 * The template for displaying pages without header and footer.
 */
if ( 'show' == get_theme_mod( 'busybella_enable_mobile_scroll_top', 'hide' ) ) {
	$busybella_mobile_take_top	= '';
} else { 
	$busybella_mobile_take_top	= ' hidden-xs'; 
}
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?><?php busybella_schema_markup( 'html' ); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?><?php busybella_schema_markup( 'body' ); ?>>
<div id="dtr-wrapper" class="clearfix">
	<div id="dtr-main-wrapper" class="dtr-container clearfix <?php echo esc_attr( busybella_get_layout_class() ); ?>">
		<main id="dtr-primary-section" class="dtr-content-area" <?php busybella_schema_markup( 'main' ); ?>>
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<div class="dtr-primary-section-content">
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="entry-content">
						<?php the_content(); ?>
						<?php 
					// page numbers
					wp_link_pages( array(
						'before'      => '<div class="dtr-page-links">' . esc_html__( 'Pages:', 'busybella' ),
						'after'       => '</div>',
						'link_before' => '<span class="dtr-page-number">',
						'link_after'  => '</span>',
					) );
				?>
					</div>
				</article>
			</div>
			<?php if ( true == get_theme_mod( 'busybella_enable_page_comments', true ) ) : 
			if ( comments_open() || get_comments_number() ) {
				comments_template();
			} 
			endif; ?>
			<?php endwhile; endif; ?>
		</main>
		<!-- #dtr-primary-section -->
		<?php get_sidebar(); ?>
	</div>
	<?php if ( 'show' == get_theme_mod( 'busybella_enable_scroll_top', 'show' ) ) { ?>
	<a id="take-to-top" href="#" class="dtr-take-top<?php echo esc_attr( $busybella_mobile_take_top ); ?>"></a>
	<?php } ?>
</div>
<!-- #dtr-wrapper -->
<?php wp_footer(); ?>
</body>
</html>