<?php
/**
 * The template for displaying Author Bios.
 */
// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $post;
$post_author = $post->post_author;
$url = '';
?>
<div class="dtr-author-info-wrapper clearfix">
	<div class="dtr-author-info">
		<div class="dtr-author-avatar"> <a class="dtr-author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><?php echo get_avatar( get_the_author_meta( 'user_email' ), 120 ); ?></a> </div>
		<div class="dtr-author-description dtr-social-default">
			<h5 class="dtr-author-title"><?php printf( esc_html__( '%s', 'busybella' ), get_the_author() ); ?></h5>
			<?php the_author_meta( 'description' ); ?>
			<?php if ( get_the_author_meta( 'busybella_twitter', $post_author ) || get_the_author_meta( 'busybella_facebook', $post_author ) || get_the_author_meta( 'busybella_instagram', $post_author ) || get_the_author_meta( 'busybella_pinterest', $post_author ) || get_the_author_meta( 'busybella_linkedin', $post_author ) || get_the_author_meta( 'busybella_mail', $post_author ) ) { ?>
			<ul class="dtr-social-list clearfix">
				<?php
				// Twitter
				if ( $url = get_the_author_meta( 'busybella_twitter', $post_author ) ) { ?>
				<li> <a href="<?php echo esc_url( $url ); ?>" title="<?php echo esc_html__( 'Twitter', 'busybella' ) ?>" class="dtr-twitter"> </a> </li>
				<?php } ?>
				<?php
				// Facebook
				if ( $url = get_the_author_meta( 'busybella_facebook', $post_author ) ) { ?>
				<li> <a href="<?php echo esc_url( $url ); ?>" title="<?php echo esc_html__( 'Facebook', 'busybella' ) ?>" class="dtr-facebook"> </a> </li>
				<?php } ?>
				<?php
				// Instagram
				if ( $url = get_the_author_meta( 'busybella_instagram', $post_author ) ) { ?>
				<li> <a href="<?php echo esc_url( $url ); ?>" title="<?php echo esc_html__( 'Instagram', 'busybella' ) ?>" class="dtr-instagram"> </a> </li>
				<?php } ?>
				<?php
				// Pinterest
				if ( $url = get_the_author_meta( 'busybella_pinterest', $post_author ) ) { ?>
				<li> <a href="<?php echo esc_url( $url ); ?>" title="<?php echo esc_html__( 'Pinterest', 'busybella' ) ?>" class="dtr-pinterest"> </a> </li>
				<?php } ?>
				<?php
				// Linkedin
				if ( $url = get_the_author_meta( 'busybella_linkedin', $post_author ) ) { ?>
				<li> <a href="<?php echo esc_url( $url ); ?>" title="<?php echo esc_html__( 'Linkedin', 'busybella' ) ?>" class="dtr-linkedin"> </a> </li>
				<?php } ?>
				<?php
				// Mail
				if ( $url = get_the_author_meta( 'busybella_mail', $post_author ) ) { ?>
				<li> <a href="<?php echo esc_url( $url ); ?>" title="<?php echo esc_html__( 'Mail', 'busybella' ) ?>" class="dtr-mail"> </a> </li>
				<?php } ?>
			</ul>
			<?php } ?>
		</div>
	</div>
</div>