<?php
/**
 * The template for woocommerce.
 */
get_header();
$single_heading	=  get_theme_mod('busybella_woo_single_heading', esc_html__('Products','busybella')); 
?>
<?php if( 'show' == get_theme_mod( 'busybella_enable_woo_page_title', 'show' ) ) { ?>
<div id="dtr-page-title-wrapper">
	<div class="dtr-container">
		<h1 class="dtr-page-title entry-title" <?php busybella_schema_markup( 'headline' ); ?>>
			<?php if( 'show' == get_theme_mod( 'busybella_enable_woo_page_heading', 'show' ) ) { ?>
			<?php echo esc_attr( $single_heading ); ?>
			<?php } else { ?>
			<?php echo esc_attr( get_the_archive_title() ); ?>
			<?php } ?>
		</h1>
		<?php if( 'show' == get_theme_mod( 'busybella_enable_woo_page_breadcrumb', 'show' ) ) { 
			get_template_part( 'template-parts/header/breadcrumb' ); } ?>
	</div>
</div>
<!-- #page header -->
<?php } ?>
<div id="dtr-main-wrapper" class="dtr-container clearfix <?php echo esc_attr( busybella_get_woocommerce_layout_class() ); ?>">
	<main id="dtr-primary-section" class="dtr-content-area" <?php busybella_schema_markup( 'main' ); ?>>
		<div class="dtr-primary-section-content">
			<?php  if( busybella_is_woocommerce_activated() ) { woocommerce_content(); } ?>
		</div>
	</main>
	<!-- #dtr-main-wrapper -->
	<?php if ( busybella_woocommerce_sidebar() ) { ?>
	<aside id="dtr-secondary-section" class="dtr-widget-area" <?php busybella_schema_markup( 'sidebar' ); ?>>
		<?php dynamic_sidebar('widgets-woocommerce'); ?>
	</aside>
	<?php } ?>
</div>
<!-- #dtr-main-wrapper -->
<?php get_footer(); ?>