<?php
/**
 * Plugin Name: Busybella Elementor Addons
 * Description: Adds custom elements for Busybella Theme via Elementor plugin. 
 * Plugin URI:  https://elementor.com/
 * Version:     1.0.0
 * Author:      designtrail
 * Author URI:  http://designtrail.co/
 * License:     GPL-2.0+
 * Text Domain: busybella
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
define( 'BUSYBELLA_ELEMENTOR_ADDONS__FILE__', __FILE__ );

/**
 * Load the plugin after Elementor loaded.
 * @since 1.0.0
 */
function busybella_elementor_addons_load() {
	// Load localization file
	load_plugin_textdomain( 'busybella' );

	// Notice if the Elementor is not active
	if ( ! did_action( 'elementor/loaded' ) ) {
		add_action( 'admin_notices', 'busybella_elementor_addons_fail_load_elementor_inactive' );
		return;
	}

	// Check elementor version required
	$elementor_version_required = '1.7.0';
	if ( ! version_compare( ELEMENTOR_VERSION, $elementor_version_required, '>=' ) ) {
		add_action( 'admin_notices', 'busybella_elementor_addons_fail_load_elementor_out_of_date' );
		return;
	}

	// Require the main plugin file
	require( __DIR__ . '/class-dtr-busybella-elementor.php' );
}
add_action( 'plugins_loaded', 'busybella_elementor_addons_load' );